org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcMessageParser

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcMessageParser

All Implemented Interfaces:
  SqlListenerMessageParser

    public class OdbcMessageParser
    extends Object
    implements SqlListenerMessageParser

JDBC message parser.

### Field Summary

Fields
`protected GridKernalContext` `ctx` Kernal context.
`protected static int` `INIT_CAP` Initial output stream capacity.

### Constructor Summary

Constructors
Constructor and Description
`OdbcMessageParser(GridKernalContext ctx)`

### Method Summary

Methods
`SqlListenerRequest` `decode(byte[] msg)` Decode request from byte array.
`byte[]` `encode(SqlListenerResponse msg0)` Encode response to byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INIT_CAP

    protected static final int INIT_CAP

Initial output stream capacity.

See Also:
  Constant Field Values

#### ctx

    protected GridKernalContext ctx

Kernal context.

### Constructor Detail

#### OdbcMessageParser

    public OdbcMessageParser(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### decode

    public SqlListenerRequest decode(byte[] msg)

Decode request from byte array.

Specified by:
  `decode` in interface `SqlListenerMessageParser`
Parameters:
  `msg` - Message.
Returns:
  Request.

#### encode

    public byte[] encode(SqlListenerResponse msg0)

Encode response to byte array.

Specified by:
  `encode` in interface `SqlListenerMessageParser`
Parameters:
  `msg0` - Response.
Returns:
  Message.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017